package gui.okcancelpanel;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import util.exception.CancelException;


public class OKCancelPanel extends JPanel {
	private static final long serialVersionUID = 1L;
	
	private JButton okButton,cancelButton;
	private int retVal=CANCEL_OPTION;
	
	private OKCondition cond;
	
	public static final int OK_OPTION=JOptionPane.OK_OPTION;
	public static final int CANCEL_OPTION=JOptionPane.CANCEL_OPTION;
	
	public OKCancelPanel(final JDialog parent,String okCaption,String cancelCaption) {
		this(parent,null, okCaption, cancelCaption);
	}
	
	public void setOKCondition(OKCondition cond) {
		this.cond = cond;
	}
	
	public OKCancelPanel(final JDialog parent,OKCondition cond,String okCaption,String cancelCaption) {
		this.cond=cond;
		okButton=new JButton(okCaption);
		cancelButton=new JButton(cancelCaption);
		
		okButton.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				if (OKCancelPanel.this.cond==null || !OKCancelPanel.this.cond.cancel()) {
					retVal=JOptionPane.OK_OPTION;	
					parent.setVisible(false);
				}
			}
		});
		
		cancelButton.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				retVal=JOptionPane.CANCEL_OPTION;
				parent.setVisible(false);
			}
		});
		
		Dimension d=new Dimension(120, 30);
		
		okButton.setPreferredSize(d);
		cancelButton.setPreferredSize(d);
		okButton.setDefaultCapable(true);
		
		add(okButton);
		add(cancelButton);
	}
	
	public JButton getOkButton() {
		return okButton;
	}
	
	public ActionListener getOkAction() {
		return okButton.getActionListeners()[0];
	}
	
	public int getRetVal() throws CancelException {
		if (retVal==CANCEL_OPTION) 
			throw new CancelException(); 
		else
			return retVal;
	}
}
