package gui.settings;

import javax.swing.JTabbedPane;

import settings.Settings;
import settings.SettingsLoadable;

public class SettingsTabbedPane extends JTabbedPane implements SettingsLoadable{

	private static final long serialVersionUID = 7011230026613428635L;

	private String settingsName;
	
	private void setSettingsName(String settingsName) {
		this.settingsName = settingsName;
	}
	
	public SettingsTabbedPane(String settingsName) {
		setSettingsName(settingsName);
	}

	public SettingsTabbedPane(int tabPlacement,String settingsName) {
		super(tabPlacement);
		setSettingsName(settingsName);
	}

	public SettingsTabbedPane(int tabPlacement, int tabLayoutPolicy,String settingsName) {
		super(tabPlacement, tabLayoutPolicy);
		setSettingsName(settingsName);
	}

	@Override
	public void loadSettings(Settings s) {
		System.out.println(settingsName);
		try{
			setSelectedIndex(s.getInt(settingsName+"TabIndex"));
		} catch (IndexOutOfBoundsException e) {
			
		}
	}

	@Override
	public void saveSettings(Settings s) {
		s.set(settingsName+"TabIndex", getSelectedIndex());	
	}

}
