/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Window;
import java.io.IOException;

import gui.okcancelpanel.OKCancelPanel;
import gui.settings.dialog.page.AbstractSettingsPage;
import gui.settings.dialog.page.SettingsPage;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JSplitPane;

import util.exception.CancelException;


public abstract class AbstractSettingsDialog extends JDialog {
	private static final long serialVersionUID = -1066449597883047092L;
	
	protected OKCancelPanel okCancelPanel;
	protected JSplitPane split;
	protected SettingsPage currentPage;
	
	public AbstractSettingsDialog(Window owner, String title) {
		super(owner,title,ModalityType.APPLICATION_MODAL);
		okCancelPanel = new OKCancelPanel(this, "OK","Cancel");
		Container cp=getContentPane();
		cp.setLayout(new BorderLayout());
		
		split=new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
		split.setDividerLocation(100);
		
		cp.add(split,BorderLayout.CENTER);
		cp.add(okCancelPanel,BorderLayout.SOUTH);
		
		((JComponent) getContentPane()).setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
	}
	
	protected void showDialog() throws CancelException, IOException {
		setVisible(true);
		okCancelPanel.getRetVal();
	}
	
	protected void setCurrentSettingsPage(AbstractSettingsPage page) {
		int dl=split.getDividerLocation();
		split.setRightComponent(page);
		split.setDividerLocation(dl);
	}

	//protected abstract Settings getSettings(); 
}
