/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.component;
import java.awt.BorderLayout;
import java.awt.Component;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import settings.Settings;


public class TextSettingsComponent extends SingleSettingsComponent {
	
	protected JComponent comp;
	protected JTextField txt;
	
	public TextSettingsComponent(String text,String settingsName) {
		super(settingsName);
		txt=new JTextField();
		if (text!=null) {
			comp=new JPanel();
			comp.setLayout(new BorderLayout(5,0));
			comp.add(new JLabel(text),BorderLayout.WEST);
			comp.add(txt,BorderLayout.CENTER);
		} else {
			comp=txt;
		}
	}

	@Override
	public void saveSettings(Settings s) {
		s.set(settingsName, txt.getText());
	}

	@Override
	public Component getComponent() {
		return comp;
	}

	@Override
	public void loadSettings(Settings s) {
		if (enabled) txt.setText(s.getString(settingsName));	
		System.out.println("load"+txt.getText());
	}
}
