/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.group;

import java.awt.Dimension;
import java.util.Collection;
import java.util.Locale;

import gui.layout.AnchorLayout;
import gui.layout.AnchorLayoutConstraints;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.LanguageSettingsComponent;

public class LanguageSettingsGroup extends SettingsComponentGroup {

	private static final long serialVersionUID = 24132630703482442L;
	
	private Collection<Locale> locales;
	
	public LanguageSettingsGroup(Collection<Locale> locales,ResourceManager rm) {
		super("Language",rm,false);
		this.locales=locales;
		createSettingsComponents(rm);
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
		LanguageSettingsComponent c=new LanguageSettingsComponent("locale",locales);
		setLayout(new AnchorLayout());
		addSettingsComponent(c,AnchorLayoutConstraints.getBySize(150, 24));
	}
	
	@Override
	public Dimension getMinimumSize() {
		return getLayout().minimumLayoutSize(this);
	}

}
